<?php
/**
 * @file
 * Displays an item in /recent-stuf
 */
?>
<li class="timeline">
  <span class="activity_item">
    <span class="timeline-badge views-field-picture">
      <span class="glyphicon glyphicon-user"></span>
      <?php if ($vars['picture']): ?>
        <?php print $vars['picture']; ?>
      <?php endif; ?>
    </span>

    <span class="timeline-panel">
      <span class="timeline-heading">
        <a href="<?php print $vars['link']; ?>">
          <span
            class="glyphicon glyphicon-<?php print $vars['type_icon']; ?> activity"></span>

          <h5 class="timeline-title">
            <?php if (!empty($vars['node_seen'])): ?>
              <?php print $vars['node_seen']; ?>
            <?php endif; ?>

            <strong><?php print $vars['username']; ?></strong>
            <?php print $vars['between_text']; ?>
            <strong><?php print $vars['title']; ?></strong>
          </h5>

          <p>
            <?php if (!empty($vars['group_title'])): ?>
              <small class="text-muted">
                <i class="glyphicon glyphicon-record"></i>
                <?php print $vars['group_title']; ?>
              </small>
            <?php endif; ?>
            <small class="text-muted time-ago">
              <i class="glyphicon glyphicon-transfer"></i>
              <?php print $vars['time_ago']; ?>
            </small>
            <?php if (isset($vars['type']) && $vars['type'] != 'ol_group' && $vars['type'] != 'ol_file_folder'): ?>
              <small class="text-muted time-ago">
                <i class="glyphicon glyphicon-comment"></i>
                <?php print $vars['num_comments']; ?>
                <?php if (!empty($vars['num_comments_unread'])): ?>
                  <span class="comments-unread">
                    <i class="glyphicon glyphicon-certificate"></i>
                    <span
                      class="count"><?php print $vars['num_comments_unread']; ?><?php print t('new'); ?></span>
                  </span>
                <?php endif; ?>
              </small>
            <?php endif; ?>
          </p>

          <?php if (!empty($vars['comment_seen'])): ?>
            <?php print $vars['comment_seen']; ?>
          <?php endif; ?>

          <?php if ($vars['comment_body']): ?>
            <blockquote>
              <?php print $vars['comment_body']; ?>
            </blockquote>
          <?php endif; ?>
        </a>
      </span>
      <?php if (!empty($vars['gallery'])): ?>
        <?php print $vars['gallery']; ?>
      <?php endif; ?>

      <?php if (!empty($vars['files'])): ?>
        <?php print $vars['files']; ?>
      <?php endif; ?>
    </span>
  </span>
</li>
