<?php
/**
 * @file
 * This file contains the forms for the openlucius_notifications module.
 */

/**
 * Form constructor for the notification settings form.
 * @ingroup forms.
 */
function openlucius_notifications_configuration_form($form, &$form_state) {

  // Start the form array.
  $form = array();

  // The groups as fieldset.
  $form['openlucius_notifications_amount'] = array(
    '#title'         => t('Show this many'),
    '#type'          => 'textfield',
    '#default_value' => variable_get('openlucius_notifications_amount', 5),
  );

  $form['openlucius_notifications_center'] = array(
    '#type'  => 'fieldset',
    '#title' => t('Openlucius notifications center'),
  );

  $form['openlucius_notifications_center']['openlucius_notifications_center_options'] = array(
    '#type'          => 'checkboxes',
    '#title'         => t('Set the notification center options'),
    '#options'       => array(
      OPENLUCIUS_NOTIFICATIONS_NOTIFICATION_CENTER => t('Enable notifications center'),
      OPENLUCIUS_NOTIFICATIONS_DIRECT_MESSAGING    => t('Enable direct messaging'),
    ),
    '#default_value' => variable_get('openlucius_notifications_center_options', array()),
  );

  // Return save settings.
  return system_settings_form($form);
}
